document.write("<script language=javascript src='echarts.js'></script>");
var myChart;




function initEchartView(initParams) {
    if (initParams == null || initParams == 'undefined') {
        myChart = echarts.init(document.getElementById('main'));
    } else {
        myChart = echarts.init(document.getElementById('main'), initParams);
    }
}

function setOption(option) {
    myChart.setOption(option);
}

function onresize() {
    window.onresize = myChart.resize;
}

function getValueForKey(objects, key) {
    var values = [];
    for (var item of objects) {
        values.push(item[key]);
    }
    return values;
}

//  PM2.5、PM10、TSP）ßßßß
function setAirStateDataList(seriesData, xAxisData) {
    var _xDataList = new Array();
    var _xcurDayList = new Array();

    xAxisData.forEach(function (item) {
        var x_timeStr = item.substr(item.length - 2, 2) + ":00";
        _xDataList.push(x_timeStr)

        var curDay = item.substr(0, item.length - 2);
        _xcurDayList.push(curDay)
    })

    option = {
        animation: false,
        tooltip: {
            trigger: 'axis',
            formatter: function (params) {
                var result = _xcurDayList[params[0].dataIndex] + " " + params[0].axisValue
                params.forEach(function (item) {
                    result += "</br>" + item.marker + item.seriesName + "：" + item.data + "ug/m³"
                })
                return result
            }
        },
        title: {
            text: '近24小时空气质量分析',
            left: 10,
            top: 20,
        },
        legend: {
            icon: 'circle',
            top: 60,
            itemWidth: 8,
            itemHeight: 8,
        },
        color: [
            'rgba(63,135,255,1)',
            'rgba(255,221,71,1)',
            'rgba(255,63,201,1)'
        ],
        grid: {
            top: 100,
        },
        xAxis: {
            axisLine: {
                lineStyle: {
                    color: '#999999', // 颜色
                    width: 1,
                }
            },
            axisTick: {
                show: false,
            },
            type: 'category',
            label: {
                show: true,
            },
            data: _xDataList,
        },
        yAxis: {
            splitLine: {
                lineStyle: {
                    type: 'dashed'
                }
            },
            axisLine: {
                show: false,
            },
            axisTick: {
                show: false,
            },
        },
        series: [{
            type: 'line',
            smooth: true,
            symbol: 'circle',
            symbolSize: 5,
            showSymbol: false,
            smooth: true,
            name: 'PM2.5',
            data: seriesData[0],
            areaStyle: {
                color: {
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0,
                        color: 'rgba(63,135,255,0.50)',
                    },
                    {
                        offset: 1,
                        color: 'rgba(63,135,255,0.10)',
                    },
                    ],
                },
            },
        },
        {
            type: 'line',
            smooth: true,
            symbol: 'circle',
            symbolSize: 5,
            showSymbol: false,
            smooth: true,
            name: 'PM10',
            data: seriesData[1],
            areaStyle: {
                color: {
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0,
                        color: 'rgba(255,221,71,0.50)',
                    },
                    {
                        offset: 1,
                        color: 'rgba(255,221,71,0.10)',
                    },
                    ],
                },
            },
        },
        {
            type: 'line',
            smooth: true,
            symbol: 'circle',
            symbolSize: 5,
            showSymbol: false,
            name: 'TSP',
            data: seriesData[2],
            areaStyle: {
                color: {
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0,
                        color: 'rgba(255,63,201,0.50)',
                    },
                    {
                        offset: 1,
                        color: 'rgba(255,63,201,0.10)',
                    },
                    ],
                },
            },
        }
        ]

    };
    myChart.setOption(option);
}

// 环境质量（温度，风度，湿度）
function setWeatherStateOption(seriesData, xAxisData, key, company) {
    var _xDataList = new Array();
    var _xcurDayList = new Array();

    xAxisData.forEach(function (item) {
        var x_timeStr = item.substr(item.length - 2, 2) + ":00";
        _xDataList.push(x_timeStr)

        var curDay = item.substr(0, item.length - 2);
        _xcurDayList.push(curDay)
    })

    option = {
        animation: false,
        noDataLoadingOption: {
            effect: 'whirling',
            text: '暂无数据',
            textStyle: {
                fontSize: 20
            }
        },
        tooltip: {
            trigger: 'axis',
            formatter: function (params) {
                var result = _xcurDayList[params[0].dataIndex] + " " + params[0].axisValue
                params.forEach(function (item) {
                    result += "</br>" + key + "：" + item.data + company;
                })
                return result
            }
        },
        color: ['rgba(63,135,255,1)'],
        title: {
            text: '近24小时天气走势',
            left: 10,
            top: 20,
        },
        grid: {
            top: 120,
        },
        xAxis: {
            axisLine: {
                lineStyle: {
                    color: '#999999', // 颜色
                    width: 1,
                }
            },
            axisTick: {
                show: false,
            },
            data: _xDataList,
        },
        yAxis: {
            splitLine: {
                lineStyle: {
                    type: 'dashed'
                }
            },
            axisLine: {
                show: false,
            },
            axisTick: {
                show: false,
            },
        },
        series: [{
            type: 'line',
            smooth: true,
            symbol: 'circle',
            symbolSize: 5,
            showSymbol: false,
            smooth: true,
            data: seriesData,
            areaStyle: {
                color: {
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0,
                        color: 'rgba(63,135,255,0.15)',
                    },
                    {
                        offset: 1,
                        color: 'rgba(63,135,255,0.03)',
                    },
                    ],
                },
            },
        },]
    }
    this.setOption(option);
}

// 现场实施人数
function setNumberOfPeopleOnSite(seriesData, xAxisData) {
    option = {
        animation: false,
        title: {
            text: '现场实时人数',
            left: 10,
            top: 20,
        },
        tooltip: {
            trigger: 'axis',
            formatter: function (params) {
                var result = params[0].axisValue;
                params.forEach(function (item) {
                    result += "</br>" + "人数：" + item.data + "人";
                });
                return result;
            }
        },
        grid: {
            top: 70,
        },
        xAxis: {
            axisLine: {
                lineStyle: {
                    color: '#999999', // 颜色
                    width: 1,
                }
            },
            axisTick: {
                show: false,
            },
            data: xAxisData
        },
        yAxis: {
            max: Math.max.apply(null, seriesData) + 10,
            splitLine: {
                lineStyle: {
                    type: 'dashed'
                }
            },
            axisLine: {
                show: false,
            },
            axisTick: {
                show: false,
            },
        },
        series: [{
            type: 'line',
            smooth: true,
            symbol: 'circle',
            symbolSize: 5,
            showSymbol: false,
            smooth: true,
            color: 'rgba(38,136,250,1)',
            areaStyle: {
                color: {
                    type: 'linear',
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                        offset: 0,
                        color: 'rgba(38,136,250,0.15)'
                    }, {
                        offset: 1,
                        color: 'rgba(38,136,250,0.03)'
                    }],
                }
            },
            data: seriesData
        },]
    };
    this.setOption(option);
}

// 责任人分析
function setSevenDay(problemList, inspectJson) {
    var personid = new Set();
    var personList = new Array();
    problemList.forEach(problem => {
        personid.add(problem.executeId)
    })
    inspectJson.forEach(inspect => {
        personid.add(inspect.executeId)
    })

    personid.forEach(id => {
        var person = {
            'id': id,
            'name': "",
            'problemNum': 0,
            'inspectNum': 0,
            'sum': 0,
            'xSum': '共' + 0 + '件',
        };
        for (var item of problemList) {
            if (item.executeId == id) {
                person.name = item.executeBy;
                person.problemNum = item.allCount;
                person.sum += item.allCount;
                person.xSum = '共' + person.sum + '件';
                break;
            }
        }
        for (var item of inspectJson) {
            if (item.executeId == id) {
                person.name = item.executeBy;
                person.inspectNum = item.allCount;
                person.sum += item.allCount;
                person.xSum = '共' + person.sum + '件';
                break;
            }
        }
        personList.push(person);
    })


    personList.sort(function (a, b) {
        return (b.sum - a.sum)
    });
    var topFiveList = personList.slice(0, personList.length > 5 ? 5 : personList.length).reverse();
    option = {
        animation: false,
        tooltip : {
            trigger: 'axis',
            formatter: function (params) {
                var result = '';
                var AllEventCount = 0;
                params.forEach(function (item) {
                    result += "</br>" + item.marker + item.seriesName + "：" + item.data + "件"
                    AllEventCount = (AllEventCount + item.data);
                })
                return params[0].name + "(" + AllEventCount + ")" + result;
            },
        },
        color: [
            'rgba(63,135,255,1)',
            'rgba(255,221,71,1)'
        ],
        legend: {
            icon: 'circle',
                top :20,
                itemWidth:8,
                itemHeight:8,
                selectedMode: false,
        },
         grid: {
                top:60,
                left:70,
                right:80
            },
        xAxis:  {
            max: Math.max.apply(null, getValueForKey(topFiveList,'sum')),
            type: 'value',
            axisLine: {
                show: false,
                lineStyle: {
                    color: '#999999', // 颜色
                    width: 1,
                }
            },
            axisTick: {
                show: false
            },
            splitLine: {
                show: false
            },
            show: false,

        },
        yAxis: [{
            data: getValueForKey(topFiveList, "name"),
            axisLabel: {
                width: 10,
                fontSize: 16,
                formatter: function (name) {
                    if (escape(name).indexOf("%u") < 0) {
                        return (name.length > 7 ? (name.slice(0, 6) + "...") : name);
                    } else {
                        return (name.length > 3 ? (name.slice(0, 2) + "...") : name);
                    }
                },
            },
            axisLine: {
                show: false
            },
            axisTick: {
                show: false
            },
            splitLine: {
                show: false
            }
        },
        {
            animation: false,
            data: getValueForKey(topFiveList, "xSum"),
            axisLabel: {
                fontSize: 16,
                formatter: function (name) {
                    return (name.length > 4 ? (name.slice(0, 3) + "...") : name);
                },
            },
            axisLine: {
                show: false
            },
            axisTick: {
                show: false
            },
            splitLine: {
                show: false
            }
        }
        ],
        series: [{
            name: '未完成问题',
            type: 'bar',
            stack: '总量',
            barWidth: 6,
            data: getValueForKey(topFiveList, "problemNum"),
        },
        {
            name: '未完成检查',
            type: 'bar',
            stack: '总量',
            barWidth: 6,
            data: getValueForKey(topFiveList, "inspectNum"),
        },
        ]
    };
    myChart.getDom().style.height = topFiveList.length * 40 + 130 + "px";
    myChart.setOption(option);
    myChart.resize();

}

// 责任人分析ALL
function setAllDay(problemList, inspectJson) {
    var personid = new Set();
    var personList = new Array();
    problemList.forEach(problem => {
        personid.add(problem.executeId)
    })
    inspectJson.forEach(inspect => {
        personid.add(inspect.executeId)
    })

    personid.forEach(id => {
        var person = {
            'id': id,
            'name': "",
            'problemNum': 0,
            'inspectNum': 0,
            'sum': 0,
            'xSum': '共' + 0 + '件',
        };
        for (var item of problemList) {
            if (item.executeId == id) {
                person.name = item.executeBy;
                person.problemNum = item.allCount;
                person.sum += item.allCount;
                person.xSum = '共' + person.sum + '件';
                break;
            }
        }
        for (var item of inspectJson) {
            if (item.executeId == id) {
                person.name = item.executeBy;
                person.inspectNum = item.allCount;
                person.sum += item.allCount;
                person.xSum = '共' + person.sum + '件';
                break;
            }
        }
        personList.push(person);
    }
    )
    personList.sort(function (a, b) {
        return (b.sum - a.sum)
    });

    var topFiveList = personList.reverse();

    option = {
        animation: false,
        tooltip: {
            trigger: 'axis',
            formatter: function (params) {
                var result = '';
                var AllEventCount = 0;
                params.forEach(function (item) {
                    result += "</br>" + item.marker + item.seriesName + "：" + item.data + "件"
                    AllEventCount = (AllEventCount + item.data);
                })
                return params[0].name + "(" + AllEventCount + ")" + result;
            },
        },
        color: [
            'rgba(63,135,255,1)',
            'rgba(255,221,71,1)'
        ],
        legend: {
            icon: 'circle',
            top: 20,
            itemWidth: 8,
            itemHeight: 8,
            selectedMode: false,
        },
         grid: {
                top:40,
                left:70,
                right:80
            },
        xAxis:  {
            max: Math.max.apply(null, getValueForKey(topFiveList,'sum')),
            type: 'value',
            axisLine: {
                show: false
            },
            axisTick: {
                show: false
            },
            splitLine: {
                show: false
            },
            show: false,

        },
        yAxis: [{
            data: getValueForKey(topFiveList, "name"),
            axisLabel: {
                fontSize: 16,
                formatter: function (name) {
                    if (escape(name).indexOf("%u") < 0) {
                        return (name.length > 7 ? (name.slice(0, 6) + "...") : name);
                    } else {
                        return (name.length > 3 ? (name.slice(0, 2) + "...") : name);
                    }
                },
            },
            axisLine: {
                show: false
            },
            axisTick: {
                show: false
            },
            splitLine: {
                show: false
            }
        },
        {
            animation: false,
            data: getValueForKey(topFiveList, "xSum"),
            axisLabel: {
                fontSize: 16,
                formatter: function (name) {
                    return (name.length > 4 ? (name.slice(0, 3) + "...") : name);
                },
            },
            axisLine: {
                show: false
            },
            axisTick: {
                show: false
            },
            splitLine: {
                show: false
            }
        }
        ],
        series: [{
            name: '未完成问题',
            type: 'bar',
            stack: '总量',
            barWidth: 6,
            data: getValueForKey(topFiveList, "problemNum"),
        },
        {
            name: '未完成检查',
            type: 'bar',
            stack: '总量',
            barWidth: 6,
            data: getValueForKey(topFiveList, "inspectNum"),
        },
        ]
    };
    myChart.getDom().style.height = personList.length * 40 + 80 + "px";
    myChart.setOption(option);
    myChart.resize();
}

// 近七日状态分析
function setLastSevenDaysState(dataList) {
    option = {
        animation: false,
        tooltip : {
            trigger: 'item',
            formatter: "{b} : {c}件 ({d}%)",
        },

        color: ['rgba(255,63,201,1)',
            'rgba(195,221,50,1)',
            'rgba(63,153,255,1)',
            'rgba(255,221,71,1)'
        ],
        series: [{
            type: 'pie',
            radius: '45%',
            center: ['50%', '50%'],
            label: {
                'normal': {
                    formatter: function (params) {
                        return '{nameStyle|' + params.name + '}\n' + '{rate|' + params.value + '件}';
                    },

                    'show': true,
                    rich: {
                        nameStyle: {
                            fontSize: 12,
                            color: "#666666",
                            'font-family': 'PingFang-SC-Bold',
                            align: 'left'
                        },
                        rate: {
                            fontSize: 14,
                            color: "#666666",
                            'font-family': 'DINAlternate-Bold;',
                            align: 'left'
                        }
                    }
                },
            },
            labelLine: {
                normal: {
                    length: 20,
                    length2: 20
                }
            },
            data: (function () {
                var aDatalist = [];
                for (var obj of dataList) {
                    if(obj.count>0)
                    {
                        aDatalist.push({
                            'value': obj.count,
                            'name': obj.statusName
                        })
                    }
                }
                return aDatalist;
            })(),
        }]
    };
    this.setOption(option);

}
// 近七日趋势分析
function setLastSevenDaysAnalysis(dataList) {
    var option = {
        animation: false,
        color: ['rgba(63,153,255,1)', 'rgba(255,221,71,1)', 'rgba(255,63,201,1)', ],
        tooltip: {
            trigger: 'axis',
            formatter: function (params) {
                var result = '';
                var Completed = 0;
                var AllEventCount = 0;

                function GetPercent(num, total) {
                    num = parseFloat(num);
                    total = parseFloat(total);
                    if (isNaN(num) || isNaN(total)) {
                        return "-";
                    }
                    return total <= 0 ? "0%" : (Math.round(num / total * 10000) / 100.00) + "%";
                }
                params.forEach(function (item) {
                    result += "</br>" + item.marker + item.seriesName + "：" + item.data + "件"
                    AllEventCount = (AllEventCount + item.data);
                    if (item.seriesName == '已完成') {
                        Completed = item.data;
                    }
                })
                return dataList[params[0].dataIndex].itemTime + "</br>完成率：" + GetPercent(Completed, AllEventCount) + result;
            }
        },
        legend: {
            icon: 'circle',
            top: 20,
            itemWidth: 8,
            itemHeight: 8,
            selectedMode: false,
        },
        grid: {
            top: 60,
        },
        yAxis: [{
            type: 'value',
            axisLabel: {
                show: true,
                interval: 'auto',
                formatter: '{value} ',
                textStyle: {
                    color: '#999999'
                },
            },
            splitLine: {
                show: true,
                lineStyle: {
                    type: 'dashed'
                }
            },
            axisLine: {
                show: false,
            },
            axisTick: {
                show: false,
            },

        }],
        xAxis: [{
            type: 'category',
            axisTick: {
                show: false,
            },
            axisLine: {
                lineStyle: {
                    color: '#dfdfdf', // 颜色
                    width: 1,
                }
            },
            axisLabel: {
                interval: 0,
                show: true,
                splitNumber: 15,
                textStyle: {
                    color: '#999999'
                },

            },
            data: (function () {
                var aDatalist = [];
                for (var obj of dataList) {
                    var timeStr = obj.itemTime;
                    aDatalist.push(timeStr.substr(timeStr.length - 5, 5));
                }
                return aDatalist;
            })(),
        }],
        series: [{
            // itemStyle: {
            //     normal: {
            //         barBorderRadius: [5, 5, 5, 5],
            //     }
            // },
            name: '已完成',
            type: 'bar',
            stack: 'sum',
            barWidth: '10px',
            data: getValueForKey(dataList, "finishedBizCount"),

        },
        {
            // itemStyle: {
            //     normal: {
            //         barBorderRadius: [5, 5, 5, 5],
            //     }
            // },
            name: '未完成',
            type: 'bar',
            barWidth: '10px',
            stack: 'sum',
            data: (function () {
                var aDatalist = [];
                for (var obj of dataList) {
                    aDatalist.push(obj.pendingBizCount - obj.overdueBizCount);
                }
                return aDatalist;
            })(),
        },
        {
            // itemStyle: {
            //     normal: {
            //         barBorderRadius: [5, 5, 5, 5],
            //     }
            // },
            name: '未完成并超时',
            type: 'bar',
            barWidth: '10px',
            stack: 'sum',
            data: getValueForKey(dataList, "overdueBizCount"),

        },
        ]
    };
    this.setOption(option);
}